Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78333 - Netgear FA510 PCMCIA card does not work with kernel-2.4.18-18.8.0
Summary: Netgear FA510 PCMCIA card does not work with kernel-2.4.18-18.8.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On: 42750
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-21 15:16 UTC by Kevin DeKorte
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:13 UTC


Attachments (Terms of Use)

Description Kevin DeKorte 2002-11-21 15:16:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021120

Description of problem:
Upgraded Kernel source to 2.4.18-18.8.0 used .config from 2.4.18-17.8.0. Did
make oldconfig, make install, make modules_install. Rebooted into new kernel.
tulip module loads but does not work. Reboot back into 2.4.18-17.8.0 and card
works again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Build new kernel
2.reboot
3.insert card
	

Actual Results:  light on card would not come on for about 30 seconds when it
did, the connection was non-functional

Expected Results:  Card to obpain an IP address over DHCP.

Additional info:

With machine running, I pulled out the Nethear card and inserted a 3com card and
that card worked 100%

Comment 1 josip 2003-01-20 08:58:44 UTC
Hot unplug/reinsert of NetGear FA510C makes this card work, but the card is NOT
seen initially on my laptop (w/Yenta socket).  I'm using Red Hat 8.0 kernel
(currently 2.4.18-19.8.0).

Apparently, one MUST hot unplug/reinsert the card to make it work under 2.4.18-*
kernels even though on the same machine 2.2.* kernels caused no trouble.  I
believe that kernel 2.4.* handling of Yenta socket at bootup is to blame for
failure to properly initialize PCMCIA network cards.  The same happens with my
Linksys wireless card w/custom driver: not found at startup, but works OK when
reinserted.

Very annoying...

Comment 2 josip 2003-01-28 23:18:15 UTC
This bug is similar to bug #42750.  Also, after I rebuilt its custom drivers, my
Linksys wireless card does not require eject/reinsert any more but NetGear
FA510C w/standard drivers still does.

Comment 3 Bugzilla owner 2004-09-30 15:40:13 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.